#include "s3c44b0x.h"
#include "system.h"
#include "stdint.h"

/* Determined with OCD Commander, can be compared directly to Port G Data */
#define JB_PLAY     0x9D
#define JB_RETURN   0x9E
#define JB_STAR     0x8F
#define JB_FORWARD  0x9B
#define JB_REVERSE  0x97
#define JB_ATREST   0x9F    /* Not buttons being pressed */

int main(void) {
    cpu_init();
    lcd_init();

    clear_lcd();

    while (1) {
        /* Remeber to properly dereference the registers defined!!! */
        switch ((*pdatg)) {
            case JB_PLAY:
                clear_lcd();
                draw_string("Play button.", 10, 10, color_lookup[1]);
                break;
            case JB_RETURN:
                clear_lcd();
                draw_string("Return button.", 10, 10, color_lookup[2]);
                break;
            case JB_STAR:
                clear_lcd();
                draw_string("Star button.", 10, 10, color_lookup[3]);
                break;
            case JB_REVERSE:
                clear_lcd();
                draw_string("Reverse button.", 10, 10, color_lookup[4]);
                break;
            case JB_FORWARD:
                clear_lcd();
                draw_string("Forward button.", 10, 10, color_lookup[5]);
                break;
            default:
                break;
        }
    }

    return 0;
}